apiDeleteWebhook
تعديليتطلب مفتاحًاShop API: removes an endpoint and its delivery log.
الوسائط
| الاسم | النوع | الوصف |
|---|---|---|
| endpointId | String! | مطلوب |
يُرجع
مثال
mutation ApiDeleteWebhook($endpointId: String!) {
apiDeleteWebhook(endpointId: $endpointId) {
connectionId
consecutiveFailures
createdAt
disabledAt
events
failingSince
id
lastDeliveryAt
lastHttpStatus
status
url
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"mutation ApiDeleteWebhook($endpointId: String!) { apiDeleteWebhook(endpointId: $endpointId) { connectionId consecutiveFailures createdAt disabledAt events failingSince id lastDeliveryAt lastHttpStatus status url } }"}'